TYPOS3.Flow - Bug # 36913

Status: Resolved Priority: Must have
Author: Pankaj Lele Category: Http

Created: 2012-05-07 Assigned To: Robert Lemke
Updated: 2012-05-26 Due date:

PHP Version: 5.3

Has patch: No

Complexity: medium

Affected Flow version: FLOW3 1.1.0 beta 1

Subject: HTTP PUT data not regonized as arguments

Description

Data submitted with HTTP PUT method is not recognized in the TYPO3\FLOW3\Http\Request

This is required while developing a REST service with FLOW3. So e.g. with curl call like:

curl -X PUT -d "name=New name" http://myservice.com/users/12345

the MyController->updateAction($user, $name) would receive $name as an argument.

Related issues:
related to TYPOS3.Flow - Bug # 37445: Router overrides POST arguments
related to TYPOS3.Flow - Feature # 37402: Make request handling RESTfuller

Resolved
Resolved

2012-05-23
2012-05-22

Associated revisions

Revision 26f83dd3 - 2012-05-23 16:21 - Robert Lemke

[FEATURE] Support for HTTP PUT/DELETE arguments

This adds transparent argument support for arguments
in PUT and DELETE requests which are passed through
the request body. Depending on the content type of

the request, the message body is parsed and then

mapped into arguments for further use in controllers.

The following content content types are currently
supported:

- application/x-www-form-urlencoded
- application/json

- xml

Change-Id: [fa6712e38d68c94cd9ec79a499d25ee577fc2d57
Resolves: #36913

Related: #37402

Related: #33371

Releases: 1.1, 1.2

Revision 8ce2f8da - 2012-05-23 16:37 - Robert Lemke
http://myservice.com/users/12345

[FEATURE] Support for HTTP PUT/DELETE arguments

This adds transparent argument support for arguments
in PUT and DELETE requests which are passed through
the request body. Depending on the content type of

the request, the message body is parsed and then
mapped into arguments for further use in controllers.

The following content content types are currently
supported:

- application/x-www-form-urlencoded
- application/json

- xmil

Change-Id: 10938025a7359b6ec3b29cec5fd7259db97703a16
Resolves: #36913

Related: #37402

Related: #33371

Releases: 1.1, 1.2

History

#1 - 2012-05-22 17:37 - Robert Lemke

- Status changed from New to Accepted

- Priority changed from Should have to Must have

- Target version changed from 1.1 to 1.1 beta 2

- Complexity set to medium

- Affected Flow version changed from Git master to FLOW3 1.1.0 beta 1

#2 - 2012-05-23 14:15 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11531

#3 - 2012-05-23 15:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11531

#4 - 2012-05-23 16:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11531

#5 - 2012-05-23 16:33 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11546

#6 - 2012-05-23 16:37 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/11546

#7 - 2012-05-26 15:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8ce2f8da04576f850dc1bb02c22fdd582f02df86.

2015-08-03

3/3


http://review.typo3.org/11546
http://review.typo3.org/11546

